<?php

namespace Modules\Admin\UsersTrails;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{

	protected $resultsPerPageList = [10, 20, 30, 40, 50, 100];
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return \App\Mvc\View\Utils\Types\ListingColumns::create()
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('module')
					->setSortable('ASC')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('action')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('entityType')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('entityOperation')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('idEntity')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('timestamp')
					->setSortable('DESC')->setType('datetime')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('idUser')
					->setType('userLabel')
			)

		->loadLabels($this->lang['index'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}